#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Copyright (c) 2015-2016, Mirantis, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.


from cliff import app
from cliff import commandmanager

import logging
import sys
import trsync


class TRsyncApp(app.App):
    log = logging.getLogger(__name__)


def main(argv=sys.argv[1:]):
    return TRsyncApp(
        description='TRsync',
        version=trsync.__version__,
        command_manager=commandmanager.CommandManager('trsync'),
        deferred_help=True,
    ).run(argv)


if __name__ == '__main__':
    sys.exit(main(sys.argv[1:]))
