# -*- coding: utf-8 -*-

# Copyright (c) 2015-2016, Mirantis, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.


from cliff import command
import logging


class TRSyncCmd(command.Command):
    log = logging.getLogger(__name__)

    def _extra(self, extra):
        return extra[1:] if extra.startswith('\\') else extra

    def _debrief(self, results):
        exitcode = 0
        for srv, stat in results.items():
            if stat['success']:
                self.log.info(stat.get('msg', ''))
            else:
                self.log.error(stat.get('msg', ''))
                self.log.error(stat.get('error', ''))
                exitcode = 1
        return exitcode
